TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IntegralPoints ( elt-ord^rat a, elt-ord^rat b ) -> list L

### Description

<shortdoc> The 'IntegralPoints' function computes all integral points on an elliptic curve in normal form over the rational integers. The result is returned as a list of all x-y pairs solving the equation. 'IntegralPoints(a,b)' computes all integral points of an elliptic curve in short Weierstrass form $y^2 = x^3 + a,x + b$ with rational integers $a,b$. The computation of all integral points is reduced to another problem in which finitely many associated quartic Thue are solved </shortdoc>

### Examples

IntegralPoints(1,1);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack